RUNDEF Secao13

/*
CRIACAO DE UMA VARIAVEL PERMANENTE
Parceira de chefe de domiclio

Descrio do programa:
Este programa cria uma varivel a nvel de domiclio para estabelecer
se o chefe do domiclio no tem parceira (categoria 0), se tem cnjuge
(categoria 1) ou se  uma unio consensual (categoria 2).
*/

DEFINE DOMICIL.CONJUGE
  AS COUNT PESSOA
  FOR PESSOA.PARENT = 2
  RANGE 0-1
  
DEFINE DOMICIL.UNIAO
  AS COUNT PESSOA
  FOR PESSOA.PARENT = 3
  RANGE 0-1
  
DEFINE DOMICIL.PARCEIRA AS SWITCH
    INCASE (DOMICIL.CONJUGE <> 0) ASSIGN 1
    INCASE (DOMICIL.UNIAO <> 0) ASSIGN 2
    ELSE 0
    VARLABEL "Situao de parceiro do chefe"
    VALUELABELS
    0 "Sem parceiro"
    1 "Cnjuge"
    2 "Convivente"
    RANGE 0-2
    SAVE "DOMICIL_PARCEIRA.rbf" OVERWRITE

TABLE VERIF AS FREQUENCY OF DOMICIL.PARCEIRA

/*
Notas de programao:
1. O DEFINE utiliza a expresso ELSE para os casos que no esto includos
   em nenhuma das expresses INCASE.

Resultados:
    Categorias    Casos       %
     Sem parceiro  6372    45,8
     Cnjuge       6910    49,6
     Convivente     637     4,6
     Total        13919   100,0

Comentrios:
1. Os resultados podem ser comparados com uma frequencia da varivel
   DOMICIL.COMPAR
2. No se esquea de salvar o dicionrio depois de executar o programa.
*/

