RUNDEF Secao20
   FOR DOMICIL.SEXOCH = 1 OR DOMICIL.SEXOCH = 2
   
/*
CALCULAR UM NDICE SOBRE CONDIES DE CONSTRUCO

Este programa estabelece uma pontuao para cada domiclio. 
A pontuao  definida como a soma aritmtica de seis variveis
binarias que caracterizam as condies fsicas do domiclio:
origem da agua, combustivel usado para cozinhar,
conexo do sanitrio, e material das paredes, piso y teto. 

A escolha das variveis  arbitrria e pode ser adaptada
a condies mais realistas. Para cada varivel o valor 1 
significa uma boa condio.
*/

//Somente aceita rede pblica
DEFINE DOMICIL.BIN1
  AS DOMICIL.AGUAORIG = 1
  TYPE BOOL
  DEFAULT 0

//Aceita gs ou electricidade
DEFINE DOMICIL.BIN2
  AS DOMICIL.COMBUST = 1 OR DOMICIL.COMBUST = 4
  TYPE BOOL
  DEFAULT 0

//Somente aceita rede geral
DEFINE DOMICIL.BIN3
  AS DOMICIL.SANITCON = 1
  TYPE BOOL
  DEFAULT 0

//Aceita concreto ou tijolo
DEFINE DOMICIL.BIN4
  AS DOMICIL.PAREDES = 1 OR DOMICIL.PAREDES = 3
  TYPE BOOL
  DEFAULT 0

//Aceita amianto ou telha
DEFINE DOMICIL.BIN5
  AS DOMICIL.TETO = 2 OR DOMICIL.TETO = 3
  TYPE BOOL
  DEFAULT 0

//Aceita parquet o tapete
DEFINE DOMICIL.BIN6
  AS DOMICIL.PISO = 1 OR DOMICIL.PISO = 3
  TYPE BOOL
  DEFAULT 0
  
DEFINE DOMICIL.CONDICIO
  AS DOMICIL.BIN1 + DOMICIL.BIN2 + DOMICIL.BIN3 + DOMICIL.BIN4 + DOMICIL.BIN5 + DOMICIL.BIN6
  RANGE 0-6
  TYPE INTEGER
  VARLABEL "Condies do domiclio"
  VALUELABELS 0 "Muito ruim"  1 "Ruim"  2 "Medianamente ruim"
              3 "Medianamente boa" 4 "Boa" 5 "Muito boa" 
              6 "Excelente"
              
TABLE VERIF AS FREQUENCY OF DOMICIL.CONDICIO

/*
Notas de programao:
1. Como um indicador deste tipo se aplica somnte para domiclios particulares,
   se decidiu filtrar usando a varivel SEXOCH (sexo do chefe de domiclio).
   Se compararmos a frequencia desta varivel com as frequencias das
   variveis usadas para os indicadores, verificamos que todas tm o
   nmero "mgico" de 2544 para os casos que no respondem, isto ,  
   seguro utilizar SEXOCH como filtro.
2. Os filtros de cada indicador binario esto comentados no incio de cada DEFINE.
3. A faixa da varivel CONDICIO  0-6, e tem 7 valores.
4. Todos os DEFINEs que criam os indicadores binrios incluem a clusula
   DEFAULT 0 para que nenhum valor no aplicvel ou omitido no invalide a varivel
   e a soma final. Os valores no aplicveis e omitidos recebem o valor 0.

Resultados:
Categoras          Casos      %
 Muito ruim           704   6,19
 Ruim                1833  16,11
 Medianamente ruim   3069  26,98
 Medianamente boa    2782  24,46
 Boa                 2182  19,18
 Muito boa            752   6,61
 Excelente             53   0,47
 Total              11375 100,00

Comentrios:
1. Segundo a classificao, a maior parte dos domiclios so considerados 
   como estando em condies medianamente ruins ou medianamente boas.
2. Este resultado pode ser guardado permanentemente na base para gerar uma
   lista por rea.
*/
